# Generated by Django 2.1.3 on 2018-12-08 17:32

from django.db import migrations, models
import django.db.models.deletion
import finanztool.core.models.invoice


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0017_auto_20181208_1446'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeneralLedgerAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='ReceivedInvoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('internal_invoice_number', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('accounting_office', models.CharField(max_length=255)),
                ('reception_date', models.DateField()),
                ('booking_date', models.DateField(blank=True)),
                ('fi_number', models.CharField(blank=True, max_length=255)),
                ('reason', models.TextField(blank=True)),
                ('signer', models.CharField(blank=True, max_length=255)),
                ('invoice_file', models.FileField(blank=True)),
                ('generated_file', models.FileField(blank=True)),
                ('vendor_invoice_number', models.CharField(max_length=255)),
                ('reference', models.CharField(max_length=255)),
                ('general_ledger_account', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.GeneralLedgerAccount')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterUniqueTogether(
            name='invoice',
            unique_together=set(),
        ),
        migrations.RemoveField(
            model_name='invoice',
            name='requester',
        ),
        migrations.RemoveField(
            model_name='invoice',
            name='vendor',
        ),
        migrations.AddField(
            model_name='requester',
            name='const_center',
            field=models.CharField(default='test', max_length=255),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='Invoice',
        ),
        migrations.AddField(
            model_name='receivedinvoice',
            name='requester',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Requester'),
        ),
        migrations.AddField(
            model_name='receivedinvoice',
            name='vendor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Vendor'),
        ),
    ]
